UbixOS V2 2.0

Data Structures | Macros | Typedefs
resource.h File Reference
`#include <sys/_types.h>`
Include dependency graph for resource.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | rlimit

## Macros
#define | _RLIM_T_DECLARED
#define | RLIM_NLIMITS 15 /* number of resource limits */
#define | RLIMIT_AS RLIMIT_VMEM /* standard name for RLIMIT_VMEM */
#define | RLIMIT_CORE 4 /* core file size */
#define | RLIMIT_CPU 0 /* maximum cpu time in seconds */
#define | RLIMIT_DATA 2 /* data size */
#define | RLIMIT_FSIZE 1 /* maximum file size */
#define | RLIMIT_KQUEUES 13 /* kqueues allocated */
#define | RLIMIT_MEMLOCK 6 /* locked-in-memory address space */
#define | RLIMIT_NOFILE 8 /* number of open files */
#define | RLIMIT_NPROC 7 /* number of processes */
#define | RLIMIT_NPTS 11 /* pseudo-terminals */
#define | RLIMIT_RSS 5 /* resident set size */
#define | RLIMIT_SBSIZE 9 /* maximum size of all socket buffers */
#define | RLIMIT_STACK 3 /* stack size */
#define | RLIMIT_SWAP 12 /* swap used */
#define | RLIMIT_UMTXP 14 /* process-shared umtx */
#define | RLIMIT_VMEM 10 /* virtual process size (incl. mmap) */

## Typedefs
typedef __rlim_t | rlim_t

## Macro Definition Documentation

## ◆ _RLIM_T_DECLARED

#define _RLIM_T_DECLARED

Definition at line 36 of file resource.h.

## ◆ RLIM_NLIMITS

#define RLIM_NLIMITS 15 /* number of resource limits */

Definition at line 60 of file resource.h.

## ◆ RLIMIT_AS

#define RLIMIT_AS RLIMIT_VMEM /* standard name for RLIMIT_VMEM */

Definition at line 54 of file resource.h.

## ◆ RLIMIT_CORE

#define RLIMIT_CORE 4 /* core file size */

Definition at line 47 of file resource.h.

## ◆ RLIMIT_CPU

#define RLIMIT_CPU 0 /* maximum cpu time in seconds */

Definition at line 43 of file resource.h.

## ◆ RLIMIT_DATA

#define RLIMIT_DATA 2 /* data size */

Definition at line 45 of file resource.h.

## ◆ RLIMIT_FSIZE

#define RLIMIT_FSIZE 1 /* maximum file size */

Definition at line 44 of file resource.h.

## ◆ RLIMIT_KQUEUES

#define RLIMIT_KQUEUES 13 /* kqueues allocated */

Definition at line 57 of file resource.h.

## ◆ RLIMIT_MEMLOCK

#define RLIMIT_MEMLOCK 6 /* locked-in-memory address space */

Definition at line 49 of file resource.h.

## ◆ RLIMIT_NOFILE

#define RLIMIT_NOFILE 8 /* number of open files */

Definition at line 51 of file resource.h.

## ◆ RLIMIT_NPROC

#define RLIMIT_NPROC 7 /* number of processes */

Definition at line 50 of file resource.h.

## ◆ RLIMIT_NPTS

#define RLIMIT_NPTS 11 /* pseudo-terminals */

Definition at line 55 of file resource.h.

## ◆ RLIMIT_RSS

#define RLIMIT_RSS 5 /* resident set size */

Definition at line 48 of file resource.h.

## ◆ RLIMIT_SBSIZE

#define RLIMIT_SBSIZE 9 /* maximum size of all socket buffers */

Definition at line 52 of file resource.h.

## ◆ RLIMIT_STACK

#define RLIMIT_STACK 3 /* stack size */

Definition at line 46 of file resource.h.

## ◆ RLIMIT_SWAP

#define RLIMIT_SWAP 12 /* swap used */

Definition at line 56 of file resource.h.

## ◆ RLIMIT_UMTXP

#define RLIMIT_UMTXP 14 /* process-shared umtx */

Definition at line 58 of file resource.h.

## ◆ RLIMIT_VMEM

#define RLIMIT_VMEM 10 /* virtual process size (incl. mmap) */

Definition at line 53 of file resource.h.

## Typedef Documentation

## ◆ rlim_t

typedef __rlim_t rlim_t

Definition at line 35 of file resource.h.